#ifndef WIDGET_H
#define WIDGET_H

#include <QWidget>
#include <QThread>

#include "OneThread.h"


QT_BEGIN_NAMESPACE
namespace Ui { class Widget; }
QT_END_NAMESPACE

class Widget : public QWidget
{
    Q_OBJECT

public:
    Widget(QWidget *parent = nullptr);
    ~Widget();

    void print2(const QString& str, const char* str2, const char* str3, const char* str4, const char* str5);

private slots:

    void on_pBtn_connect_clicked();

    void on_pBtn_downloadFile_clicked();

private:
    Ui::Widget *ui;
    QThread* m_thread = nullptr;
    OneThread* m_oneThread = nullptr;
};
#endif // WIDGET_H
